<html>
  <head>
    <!-- Meta -->
    <meta charset="utf-8" />
    <meta
      name="description"
      content="Open source ML projects generator, quality first toolbox and conventions."
    />
    <meta name="docsearch:language" content="en" />

    <!-- Favicons -->
    <link rel="icon" type="image/png" href="./resources/images/favicon.png" />

    <!-- Styles -->
    <link rel="stylesheet" href="reset.css" />
    <link rel="stylesheet" href="style.css" />
    <link
      rel="stylesheet"
      href="resources/font-awesome/css/fontawesome.min.css"
    />
    <link rel="stylesheet" href="resources/font-awesome/css/brands.min.css" />
    <link rel="stylesheet" href="resources/font-awesome/css/solid.min.css" />
    <link rel="stylesheet" href="resources/font-awesome/css/regular.min.css" />

    <!-- Fonts -->
    <style>
      @import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@500;600&family=Inter&display=swap");
    </style>
    <title>Pilotis - Foundations for a smart project</title>
    <script type="text/javascript">
      window.onload = function () {
        const codeSnippetsCopyButtons =
          document.body.getElementsByClassName("copy-code");
        Array.from(codeSnippetsCopyButtons).forEach(initCopyButton);
      };
      function initCopyButton(copyButton) {
        const initalTooltipText = "Copy to clipboard";
        setTooltipText(initalTooltipText)();

        copyButton.addEventListener("click", copyCodeToClipboard);
        copyButton.addEventListener(
          "mouseenter",
          setTooltipText(initalTooltipText)
        );
        copyButton.addEventListener("mouseleave", function () {
          setTimeout(setTooltipText(initalTooltipText), 300);
        });

        function copyCodeToClipboard() {
          const codeToCopy =
            copyButton.parentElement.parentElement.getElementsByClassName(
              "code"
            )[0].textContent;
          navigator.clipboard
            .writeText(codeToCopy)
            .then(setTooltipText("Copied!"));
        }

        function setTooltipText(text) {
          return function () {
            const tooltip =
              copyButton.getElementsByClassName("copy-tooltip")[0];
            if (!!tooltip) {
              tooltip.textContent = text;
            }
          };
        }
      }
    </script>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script
      async
      src="https://www.googletagmanager.com/gtag/js?id=G-BJP4BL7CNE"
    ></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag() {
        dataLayer.push(arguments);
      }
      gtag("js", new Date());

      gtag("config", "G-BJP4BL7CNE");
    </script>
  </head>
  <body>
    <header>
      <div class="header-name"><a href="#">Pilotis</a></div>
      <div class="header-icon-links">
        <a href="https://twitter.com/PilotisML" target="_blank">
          <div class="header-icon-link">
            <i class="fab fa-twitter"></i>
          </div>
        </a>
        <a href="https://pilotis-ml.slack.com/" target="_blank">
          <div class="header-icon-link">
            <i class="fab fa-slack"></i>
          </div>
        </a>
        <a
          href="https://gitlab.com/ekinox-io/ekinox-libraries/pilotis"
          target="_blank"
        >
          <div class="header-icon-link">
            <i class="fab fa-gitlab"></i>
          </div>
        </a>
      </div>
      <div class="header-text-links">
        <div class="header-text-link">
          <a
            href="https://ekinox-io.gitlab.io/ekinox-libraries/pilotis/pilotis/"
            target="_blank"
          >
            Docs
          </a>
        </div>
        <a href="#quickstart">
          <div class="header-text-link" id="get-started-button">
            Get Started
          </div>
        </a>
      </div>
    </header>

    <section id="hero">
      <div class="terminal">
        <div class="term-head"></div>
        <div class="term-content">
          <div class="term-title">Foundations For a Smart Project</div>
          <div class="term-focus">
            Open source ML projects generator, toolbox and conventions, designed
            for built-in quality
          </div>
        </div>
      </div>
    </section>

    <section id="more-or-less">
      <div id="less" class="ml-section">
        <div class="ml-title">Do Less</div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="far fa-file-code"></i>
          </div>
          <div class="ml-subtitle">Boilerplate</div>
          <div class="ml-content">
            Generate your ML projects with a single command line, in minutes
          </div>
        </div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="fas fa-tools"></i>
          </div>
          <div class="ml-subtitle">Setup</div>
          <div class="ml-content">
            Consistent toolbox and out of the box configuration designed to last
            for the entire lifetime of your project (jupyter plugins, build and
            delivery tools)
          </div>
        </div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="far fa-handshake"></i>
          </div>
          <div class="ml-subtitle">Team Noise</div>
          <div class="ml-content">
            Opinionated lightweight conventions and tools over unhelpful
            polemics
          </div>
        </div>
      </div>
      <div id="more" class="ml-section">
        <div class="ml-title">Get More</div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="far fa-clock"></i>
          </div>
          <div class="ml-subtitle">Time</div>
          <div class="ml-content">
            Immediately start to work on business concerns
          </div>
        </div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="far fa-gem"></i>
          </div>
          <div class="ml-subtitle">Quality</div>
          <div class="ml-content">
            Tests, dependency management, CD pipeline, data organization, best
            practices examples...
          </div>
        </div>
        <div class="ml-item">
          <div class="ml-icon">
            <i class="fas fa-project-diagram"></i>
          </div>
          <div class="ml-subtitle">Hybrid Capabilities</div>
          <div class="ml-content">
            Decoupled architectures and various modules for storage and
            computing, either locally, on the cloud, or both
          </div>
        </div>
      </div>
    </section>

    <section id="quickstart">
      <div class="quickstart-content">
        <div class="quickstart-title">Quick Start</div>
        <div class="instruction">
          <div class="instruction-description">
            <span class="instruction-number">1.&nbsp;&nbsp;</span>Install
            Pilotis
          </div>
          <div class="code-block">
            <div class="code">pip install pilotis</div>
            <div class="copy-code-absolute-wrapper">
              <div class="copy-code">
                <span class="copy-tooltip">Copied to clipboard</span>
                Copy
              </div>
            </div>
          </div>
        </div>
        <div class="instruction">
          <div class="instruction-description">
            <span class="instruction-number">2.&nbsp;&nbsp;</span>Create your
            first project
          </div>
          <div class="code-block">
            <div class="code">pilotis init</div>
            <div class="copy-code-absolute-wrapper">
              <div class="copy-code">
                <span class="copy-tooltip">Copied to clipboard</span>
                Copy
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section id="features">
      <div class="features-title">What Pilotis is all about</div>
      <div class="features-container">
        <div class="feature">
          <div class="feature-icon"><i class="fas fa-lightbulb"></i></div>
          <div class="feature-title">
            Your ML project from scratch, production ready, in minutes
          </div>
          <div class="feature-description">
            <div class="feature-description-item">
              Generation of a clean, extensible, project skeleton
            </div>
            <div class="feature-description-item">
              Your project is already hosted on Gitlab, with working CI/CD
              pipelines
            </div>
            <div class="feature-description-item">Integrated Testing tools</div>
          </div>
        </div>
        <div class="feature">
          <div class="feature-icon"><i class="fas fa-users"></i></div>
          <div class="feature-title">
            Strongly opinionated conventions improving your teamwork
          </div>
          <div class="feature-description">
            <div class="feature-description-item">
              Data organization, for a clear process of data lifecycle
            </div>
            <div class="feature-description-item">
              Fully managed virtual environments and dependencies
            </div>
            <div class="feature-description-item">
              Collaborative Notebooks and easy integration with personal
              workspaces
            </div>
            <div class="feature-description-item">
              Out of the box project architecture with generated code, tests,
              notebooks, and package management
            </div>
          </div>
        </div>
        <div class="feature">
          <div class="feature-icon"><i class="fas fa-cog"></i></div>
          <div class="feature-title">Intuitive and extensible Apis</div>
          <div class="feature-description">
            <div class="feature-description-item">
              Helps you writing clean code
            </div>
            <div class="feature-description-item">
              Facilitates an Hexagonal approach and a fully decoupled design
            </div>
            <div class="feature-description-item">
              Guarantees compatibility with local and cloud datasets
            </div>
          </div>
        </div>
      </div>

      <div class="tools">
        <div class="tools-title">
          Pre-installed and pre-configured set of tools
        </div>
        <div class="tools-container">
          <div class="tool">
            <div class="tool-icon">
              <i class="far fa-file-code"></i>
            </div>
            <div class="tool-name">Notebooks</div>
          </div>
          <div class="tool">
            <div class="tool-icon">
              <i class="fab fa-uncharted"></i>
            </div>
            <div class="tool-name">Libraries</div>
          </div>
          <div class="tool">
            <div class="tool-icon">
              <i class="fas fa-toolbox"></i>
            </div>
            <div class="tool-name">Build tools</div>
          </div>
          <div class="tool">
            <div class="tool-icon">
              <i class="fas fa-terminal"></i>
            </div>
            <div class="tool-name">CLI</div>
          </div>
        </div>
      </div>
    </section>

    <footer>
      <div class="social">
        <div class="social-title">Follow us on:</div>
        <div class="social-icons">
          <a
            class="social-icon"
            href="https://pilotis-ml.slack.com/"
            target="_blank"
          >
            <i class="fab fa-slack"></i>
          </a>
          <a
            class="social-icon"
            href="https://twitter.com/PilotisML"
            target="_blank"
          >
            <i class="fab fa-twitter"></i>
          </a>
          <a
            class="social-icon"
            href="https://gitlab.com/ekinox-io/ekinox-libraries/pilotis"
            target="_blank"
          >
            <i class="fab fa-gitlab"></i>
          </a>
        </div>
      </div>
      <div class="footer-footer">
        Contribute to Pilotis by giving us feedbacks and comments on our
        <a href="https://github.com/EkinoxIO/pilotis/discussions"
          >Slack channel</a
        >
      </div>
    </footer>
  </body>
</html>
